# give effects
execute if entity @e[type=armor_stand,tag=perk,scores={perk=1}] run effect give @a[team=player,gamemode=!spectator,nbt=!{ActiveEffects:[{Id:10b}]}] regeneration 1000000 0 true
execute if entity @e[type=armor_stand,tag=perk,scores={perk=2}] run effect give @a[team=player,gamemode=!spectator,nbt=!{ActiveEffects:[{Id:21b}]}] health_boost 1000000 1 true

# clear effects
#intentionally disabled: execute unless entity @e[type=armor_stand,tag=perk,scores={perk=1}] if entity @e[type=armor_stand,tag=perk,scores={boughtRegen=1}] run effect clear @a[team=player,gamemode=!spectator] regeneration
execute unless entity @e[type=armor_stand,tag=perk,scores={perk=2}] if entity @e[type=armor_stand,tag=perk,scores={boughtHealth=1}] run effect clear @a[team=player,gamemode=!spectator] health_boost

# update hologram
execute as @e[type=armor_stand,tag=perk,scores={perk=0}] run data merge entity @s {CustomName:"[{\"text\":\"Perk\",\"color\":\"aqua\",\"bold\":\"true\"},{\"text\":\": \",\"color\":\"dark_aqua\"},{\"text\":\"None\",\"color\":\"gray\",\"italic\":\"true\",\"bold\":\"false\"}]"}
execute as @e[type=armor_stand,tag=perk,scores={perk=1}] run data merge entity @s {CustomName:"[{\"text\":\"Perk\",\"color\":\"aqua\",\"bold\":\"true\"},{\"text\":\": \",\"color\":\"dark_aqua\"},{\"text\":\"Regeneration\",\"color\":\"red\",\"bold\":\"false\"}]"}
execute as @e[type=armor_stand,tag=perk,scores={perk=2}] run data merge entity @s {CustomName:"[{\"text\":\"Perk\",\"color\":\"aqua\",\"bold\":\"true\"},{\"text\":\": \",\"color\":\"dark_aqua\"},{\"text\":\"Extra Health\",\"color\":\"red\",\"bold\":\"false\"}]"}

#

execute as @a[tag=regenPerk] unless entity @e[type=armor_stand,tag=perk,scores={perk=1}] run function main:perks/selregen
execute as @a[tag=healthPerk] unless entity @e[type=armor_stand,tag=perk,scores={perk=2}] run function main:perks/selhealth
execute as @a[tag=regenPerk] if entity @e[type=armor_stand,tag=perk,scores={perk=1}] run tellraw @s {"text":"The Regeneration Perk is already active!","color":"red"}
execute as @a[tag=healthPerk] if entity @e[type=armor_stand,tag=perk,scores={perk=2}] run tellraw @s {"text":"The Extra Health Perk is already active!","color":"red"}
execute as @a[tag=regenPerk] at @s if entity @e[type=armor_stand,tag=perk,scores={perk=1}] run playsound minecraft:entity.villager.no master @s
execute as @a[tag=healthPerk] at @s if entity @e[type=armor_stand,tag=perk,scores={perk=2}] run playsound minecraft:entity.villager.no master @s
tag @a remove regenPerk
tag @a remove healthPerk

tellraw @a[tag=perkInfo] [{"text":"\nPerks » ","color":"dark_aqua","bold":"true"},{"text":"You can purchase the ","color":"aqua","bold":"false"},{"text":"Regeneration Perk","color":"red","bold":"false"},{"text":" for ","color":"aqua","bold":"false"},{"text":"20 coins","color":"yellow","bold":"false"},{"text":" which gives you infinite Regeneration I, and the ","color":"aqua","bold":"false"},{"text":"Extra Health Perk","color":"red","bold":"false"},{"text":" for ","color":"aqua","bold":"false"},{"text":"20 coins","color":"yellow","bold":"false"},{"text":" which gives you 4 additional hearts. Both perks are applied to all players, but you can only have one perk active at a time.\n","color":"aqua","bold":"false"}]
execute as @a[tag=perkInfo] at @s run playsound minecraft:block.note_block.bell master @s
tag @a remove perkInfo

scoreboard players add @e[type=armor_stand,tag=perk] perkTimer 1
execute at @e[type=armor_stand,tag=perk,scores={perk=0,perkTimer=1..}] run particle smoke ~ ~0.9 ~ 0.05 0.05 0.05 0 1
execute at @e[type=armor_stand,tag=perk,scores={perk=0,perkTimer=3..}] run particle smoke ~ ~0.9 ~ 0.05 0.05 0.05 0 1
execute at @e[type=armor_stand,tag=perk,scores={perk=1,perkTimer=1}] run particle entity_effect ~ ~0.8 ~ 1 0 0 1 0
execute at @e[type=armor_stand,tag=perk,scores={perk=1,perkTimer=3}] run particle entity_effect ~ ~0.8 ~ 1 0 0 1 0
execute at @e[type=armor_stand,tag=perk,scores={perk=2,perkTimer=4}] run particle heart ~ ~0.9 ~ 0.1 0.1 0.1 0 1
scoreboard players reset @e[type=armor_stand,tag=perk,scores={perkTimer=4..}] perkTimer