execute unless entity @a[tag=archery] run bossbar set underwater_mob_arena:archery name [{"text":"Archery","color":"yellow","bold":"true"},{"text":" » ","color":"gold","bold":"false"},{"text":"60","color":"green","bold":"false"},{"text":"s","color":"yellow","bold":"false"}]
bossbar set underwater_mob_arena:archery players @a[tag=archery]

execute unless entity @a[tag=archery] run scoreboard players reset @e[type=area_effect_cloud,tag=archery] archTimer
execute unless entity @a[tag=archery] run kill @e[type=arrow]
scoreboard players set @e[type=area_effect_cloud,tag=archery] archPlayerCount 0
execute as @a[tag=inSpawn] run scoreboard players add @e[type=area_effect_cloud,tag=archery] archPlayerCount 1
execute if entity @e[type=area_effect_cloud,tag=archery,scores={archPlayerCount=0..1}] run scoreboard players set @a archWait 0

scoreboard players remove @a[scores={archWait=1..}] archWait 1
scoreboard players set @a[tag=!archery] archMsgTimer 0
execute as @a[tag=archery,scores={archMsgTimer=0}] unless entity @s[x=6,y=123,z=-17,dx=-2,dy=-3,dz=1] run tellraw @s {"text":"You can't leave this area while in an archery session!\nIf you wish to exit the session, click the sign that says, \"End Session\"!","color":"red"}
execute as @a[tag=archery,scores={archMsgTimer=0}] unless entity @s[x=6,y=123,z=-17,dx=-2,dy=-3,dz=1] run scoreboard players set @s archMsgTimer 200
execute as @a[tag=archery] at @s unless entity @s[x=6,y=123,z=-17,dx=-2,dy=-3,dz=1] run tp @s 5 ~ -16
scoreboard players remove @a[scores={archMsgTimer=1..}] archMsgTimer 1

function main:archery/score
execute as @e[type=area_effect_cloud,tag=archery] run data merge entity @s {Duration:200000000}
function main:archery/hologram

execute as @e[type=arrow] run data merge entity @s {damage:-0.0d,pickup:0b,Color:-1b}

execute unless entity @a[tag=archery] run scoreboard players reset @e[type=area_effect_cloud,tag=archery] archSec
execute if entity @a[tag=archery] run data merge entity @e[type=area_effect_cloud,tag=archery,limit=1] {CustomNameVisible:0b}
execute unless entity @a[tag=archery] run data merge entity @e[type=area_effect_cloud,tag=archery,limit=1] {CustomNameVisible:1b}

execute as @a[tag=archery] at @s if entity @e[type=area_effect_cloud,tag=archery,scores={archStartTimer=0}] run function main:archery/starting/5
execute as @a[tag=archery] at @s if entity @e[type=area_effect_cloud,tag=archery,scores={archStartTimer=20}] run function main:archery/starting/4
execute as @a[tag=archery] at @s if entity @e[type=area_effect_cloud,tag=archery,scores={archStartTimer=40}] run function main:archery/starting/3
execute as @a[tag=archery] at @s if entity @e[type=area_effect_cloud,tag=archery,scores={archStartTimer=60}] run function main:archery/starting/2
execute as @a[tag=archery] at @s if entity @e[type=area_effect_cloud,tag=archery,scores={archStartTimer=80}] run function main:archery/starting/1
execute as @a[tag=archery] at @s if entity @e[type=area_effect_cloud,tag=archery,scores={archStartTimer=100}] run function main:archery/starting/start
scoreboard players add @e[type=area_effect_cloud,tag=archery,scores={archStartTimer=0..99}] archStartTimer 1

execute as @a[tag=archery] at @s if entity @e[type=area_effect_cloud,tag=archery,scores={archTimer=0..}] run function main:archery/game

execute unless entity @a[tag=archery] run data merge block 5 121 -17 {Color:"black",Text4:'{"bold":true,"color":"dark_aqua","text":"--=+=--"}',Text3:'{"bold":true,"color":"aqua","text":"Archery"}',Text2:'{"bold":true,"color":"aqua","text":"Start"}',Text1:'{"bold":true,"color":"dark_aqua","clickEvent":{"action":"run_command","value":"function main:archery/check_start"},"text":"--=+=--"}'}
execute if entity @a[tag=archery] run data merge block 5 121 -17 {Text1:'{"text":"--=+=--","clickEvent":{"action":"run_command","value":"execute unless entity @s[tag=archery] run tellraw @s {\\"text\\":\\"You can\'t end a session you aren\'t in!\\",\\"color\\":\\"red\\"}"},"bold":true,"color":"dark_red"}',Text2:'{"text":"End","clickEvent":{"action":"run_command","value":"execute if entity @s[tag=archery] run function main:archery/player_end"},"bold":true,"color":"red"}',Text3:'{"text":"Session","bold":true,"color":"red"}',Text4:'{"text":"--=+=--","bold":true,"color":"dark_red"}'}